html, body {
  margin: 0;
  height: 100%;
  min-height: 100%;
}

body {
  font-family: 'Source Sans Pro','Helvetica Neue',Helvetica,Arial,sans-serif;
  font-weight: 400;
  overflow-x: hidden;
  overflow-y: auto;
  display: flex;
  flex-direction: column;
  font-size: 14px;
  line-height: 1.42857143;
  color: #333;
}

header, footer {
  background-color: orange;
  flex: none;
}

main {
  background-color: lightgray;
  overflow-y: scroll;
	-webkit-overflow-scrolling: touch;
  flex: auto;
}

label {
  marin-bottom: 0px;
}

.btn-success {
  color: white;
  background-color: #008d4c;
}
.btn-info {
  color: white;
  background-color: #00c0ef;
  border-color: #00acd6;
}
.btn-danger {
  color: white;
  background-color: red;
  border-color: #d73925;
}
.btn-warning {
  color: white;
  background-color: #f39c12;
  border-color: #e08e0b;
}

/* The Modal (background) */
.modal {
  display: none; /* Hidden by default */
  position: fixed; /* Stay in place */
  z-index: 1; /* Sit on top */
  padding-top: 40px; /* Location of the box */
  left: 0;
  top: 0;
  width: 100%; /* Full width */
  height: 100%; /* Full height */
  overflow: auto; /* Enable scroll if needed */
  background-color: rgb(0,0,0); /* Fallback color */
  background-color: rgba(0,0,0,0.4); /* Black w/ opacity */
}

/* Modal Content */
.modal-content {
  background-color: #fefefe;
  margin: auto;
  padding: 20px;
  border: 1px solid #888;
  width: 40%;
}



/* The Close Button 
.close {
  color: #aaaaaa;
  float: right;
  font-size: 28px;
  font-weight: bold;
}

.close:hover,
.close:focus {
  color: #000;
  text-decoration: none;
  cursor: pointer;
}

*/




.scrollable_sizeable {
  resize: both;
  overflow: auto;
  border: 1px solid;  /* to show div size */
  overflow: auto;     /* to add scrollbars for overlong texts */
  /* width: 0px; */   /* default width */
  /*max-width: 250px; */   /* maximal width */

  float: left; clear: left; /* or try display: inline-block instead */
  white-space: nowrap;      /* optional */
}

input:read-only {
  background-color: lightgrey;
}


.divFormTable
{
  display:  table;
}

.divFormRow
{
  display:table-row;
}

.divFormCell
{
  display:table-cell;
}

@media print {
  .pagebreak { page-break-before: always; } /* page-break-after works, as well */
}



.form-header-label {
  font-size: 120%;
  font-weight: bold;
}

.login-logo,.register-logo{font-size:35px;text-align:center;margin-bottom:25px;font-weight:300}

.mt100 {
	margin-top: 100px;
}
.login-container {
	width: 33.33% !important;
}



/*
 * Component: Box
 * --------------
 */
.box {
  position: relative;
  border-radius: 3px;
  background: #ffffff;
  border-top: 3px solid #d2d6de;
  margin-bottom: 20px;
  width: 100%;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}
.box.box-primary {
  border-top-color: #3c8dbc;
}
.box.box-info {
  border-top-color: #00c0ef;
}
.box.box-danger {
  border-top-color: #dd4b39;
}
.box.box-warning {
  border-top-color: #f39c12;
}
.box.box-success {
  border-top-color: #00a65a;
}
.box.box-default {
  border-top-color: #d2d6de;
}
.box.collapsed-box .box-body,
.box.collapsed-box .box-footer {
  display: none;
}
.box .nav-stacked > li {
  border-bottom: 1px solid #f4f4f4;
  margin: 0;
}
.box .nav-stacked > li:last-of-type {
  border-bottom: none;
}
.box.height-control .box-body {
  max-height: 300px;
  overflow: auto;
}
.box .border-right {
  border-right: 1px solid #f4f4f4;
}
.box .border-left {
  border-left: 1px solid #f4f4f4;
}
.box.box-solid {
  border-top: 0;
}
.box.box-solid > .box-header .btn.btn-default {
  background: transparent;
}
.box.box-solid > .box-header .btn:hover,
.box.box-solid > .box-header a:hover {
  background: rgba(0, 0, 0, 0.1);
}
.box.box-solid.box-default {
  border: 1px solid #d2d6de;
}
.box.box-solid.box-default > .box-header {
  color: #444444;
  background: #d2d6de;
  background-color: #d2d6de;
}
.box.box-solid.box-default > .box-header a,
.box.box-solid.box-default > .box-header .btn {
  color: #444444;
}
.box.box-solid.box-primary {
  border: 1px solid #3c8dbc;
}
.box.box-solid.box-primary > .box-header {
  color: #ffffff;
  background: #3c8dbc;
  background-color: #3c8dbc;
}
.box.box-solid.box-primary > .box-header a,
.box.box-solid.box-primary > .box-header .btn {
  color: #ffffff;
}
.box.box-solid.box-info {
  border: 1px solid #00c0ef;
}
.box.box-solid.box-info > .box-header {
  color: #ffffff;
  background: #00c0ef;
  background-color: #00c0ef;
}
.box.box-solid.box-info > .box-header a,
.box.box-solid.box-info > .box-header .btn {
  color: #ffffff;
}
.box.box-solid.box-danger {
  border: 1px solid #dd4b39;
}
.box.box-solid.box-danger > .box-header {
  color: #ffffff;
  background: #dd4b39;
  background-color: #dd4b39;
}
.box.box-solid.box-danger > .box-header a,
.box.box-solid.box-danger > .box-header .btn {
  color: #ffffff;
}
.box.box-solid.box-warning {
  border: 1px solid #f39c12;
}
.box.box-solid.box-warning > .box-header {
  color: #ffffff;
  background: #f39c12;
  background-color: #f39c12;
}
.box.box-solid.box-warning > .box-header a,
.box.box-solid.box-warning > .box-header .btn {
  color: #ffffff;
}
.box.box-solid.box-success {
  border: 1px solid #00a65a;
}
.box.box-solid.box-success > .box-header {
  color: #ffffff;
  background: #00a65a;
  background-color: #00a65a;
}
.box.box-solid.box-success > .box-header a,
.box.box-solid.box-success > .box-header .btn {
  color: #ffffff;
}
.box.box-solid > .box-header > .box-tools .btn {
  border: 0;
  box-shadow: none;
}
.box.box-solid[class*='bg'] > .box-header {
  color: #fff;
}
.box .box-group > .box {
  margin-bottom: 5px;
}
.box .knob-label {
  text-align: center;
  color: #333;
  font-weight: 100;
  font-size: 12px;
  margin-bottom: 0.3em;
}
.box > .overlay,
.overlay-wrapper > .overlay,
.box > .loading-img,
.overlay-wrapper > .loading-img {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}
.box .overlay,
.overlay-wrapper .overlay {
  z-index: 50;
  background: rgba(255, 255, 255, 0.7);
  border-radius: 3px;
}
.box .overlay > .fa,
.overlay-wrapper .overlay > .fa {
  position: absolute;
  top: 50%;
  left: 50%;
  margin-left: -15px;
  margin-top: -15px;
  color: #000;
  font-size: 30px;
}
.box .overlay.dark,
.overlay-wrapper .overlay.dark {
  background: rgba(0, 0, 0, 0.5);
}
.box-header:before,
.box-body:before,
.box-footer:before,
.box-header:after,
.box-body:after,
.box-footer:after {
  content: " ";
  display: table;
}
.box-header:after,
.box-body:after,
.box-footer:after {
  clear: both;
}
.box-header {
  color: #444;
  display: block;
  padding: 10px;
  position: relative;
}
.box-header.with-border {
  border-bottom: 1px solid #f4f4f4;
}
.collapsed-box .box-header.with-border {
  border-bottom: none;
}
.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion,
.box-header .box-title {
  display: inline-block;
  font-size: 18px;
  margin: 0;
  line-height: 1;
}
.box-header > .fa,
.box-header > .glyphicon,
.box-header > .ion {
  margin-right: 5px;
}
.box-header > .box-tools {
  position: absolute;
  right: 10px;
  top: 5px;
}
.box-header > .box-tools [data-toggle="tooltip"] {
  position: relative;
}
.box-header > .box-tools.pull-right .dropdown-menu {
  right: 0;
  left: auto;
}
.box-header > .box-tools .dropdown-menu > li > a {
  color: #444!important;
}
.btn-box-tool {
  padding: 5px;
  font-size: 12px;
  background: transparent;
  color: #97a0b3;
}
.open .btn-box-tool,
.btn-box-tool:hover {
  color: #606c84;
}
.btn-box-tool.btn:active {
  box-shadow: none;
}
.box-body {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  padding: 10px;
}
.no-header .box-body {
  border-top-right-radius: 3px;
  border-top-left-radius: 3px;
}
.box-body > .table {
  margin-bottom: 0;
}
.box-body .fc {
  margin-top: 5px;
}
.box-body .full-width-chart {
  margin: -19px;
}
.box-body.no-padding .full-width-chart {
  margin: -9px;
}
.box-body .box-pane {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 0;
  border-bottom-left-radius: 3px;
}
.box-body .box-pane-right {
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 0;
}
.box-footer {
  width: 100%;
  border-top-left-radius: 0;
  border-top-right-radius: 0;
  border-bottom-right-radius: 3px;
  border-bottom-left-radius: 3px;
  border-top: 1px solid #f4f4f4;
  padding: 10px;
  background-color: #ffffff;
  box-sizing: border-box;
}
.chart-legend {
  margin: 10px 0;
}
@media (max-width: 991px) {
  .chart-legend > li {
    float: left;
    margin-right: 10px;
  }
}
.box-comments {
  background: #f7f7f7;
}
.box-comments .box-comment {
  padding: 8px 0;
  border-bottom: 1px solid #eee;
}
.box-comments .box-comment:before,
.box-comments .box-comment:after {
  content: " ";
  display: table;
}
.box-comments .box-comment:after {
  clear: both;
}
.box-comments .box-comment:last-of-type {
  border-bottom: 0;
}
.box-comments .box-comment:first-of-type {
  padding-top: 0;
}
.box-comments .box-comment img {
  float: left;
}
.box-comments .comment-text {
  margin-left: 40px;
  color: #555;
}
.box-comments .username {
  color: #444;
  display: block;
  font-weight: 600;
}
.box-comments .text-muted {
  font-weight: 400;
  font-size: 12px;
}

.box h1 {
  text-align: center;
  font-size: 24px;
  font-family: 'Source Sans Pro',sans-serif;
}
.no-ng {
  float: left !important;

}


.menuboard {
  font-family: Arial;
  font-size: 200%;
  font-weight: lighter;
  position: absolute;
  display: block;
  border-color: red;
  border-width: 1px;
  margin: 0px;
  padding: 0px;
}

.wrapper {
  position: relative;
  overflow-x: hidden;
  overflow-y: auto;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.pull-right {
  float: right;
}
.pull-right {
  float: right !important;
}
.form-control {
  border-radius: 0;
  border-top-left-radius: 0px;
  border-bottom-left-radius: 0px;
  box-shadow: none;
  border-color: #d2d6de;
}
.form-control {
  display: block;
  width: 100%;
  height: 34px;
  padding: 6px 12px;
  font-size: 14px;
  line-height: 1.42857143;
  color: #555;
  background-color: #fff;
  background-image: none;
  border: 1px solid #ccc;
  border-radius: 4px;
  -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
  box-shadow: inset 0 1px 1px rgba(0,0,0,.075);
  -webkit-transition: border-color ease-in-out .15s,-webkit-box-shadow ease-in-out .15s;
  -o-transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
  transition: border-color ease-in-out .15s,box-shadow ease-in-out .15s;
}
button, input, select, textarea {
  font-family: inherit;
  font-size: inherit;
  line-height: inherit;
}
input {
    line-height: normal;
}
button, input, optgroup, select, textarea {
  margin: 0;
  font: inherit;
  color: inherit;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.input-group {
  position: relative;
  display: table;
  border-collapse: separate;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
}
.input-group .input-group-addon {
    border-radius: 0;
    border-color: #d2d6de;
    background-color: #fff;
}
.input-group-addon:first-child {
    border-right: 0;
        border-right-color: currentcolor;
}
.input-group .form-control:first-child, .input-group-addon:first-child, .input-group-btn:first-child > .btn, .input-group-btn:first-child > .btn-group > .btn, .input-group-btn:first-child > .dropdown-toggle, .input-group-btn:last-child > .btn-group:not(:last-child) > .btn, .input-group-btn:last-child > .btn:not(:last-child):not(.dropdown-toggle) {
    border-top-right-radius: 0;
    border-bottom-right-radius: 0;
}
.input-group-addon {
  padding: 6px 12px;
  font-size: 14px;
  font-weight: 400;
  line-height: 1;
  color: #555;
  text-align: center;
  border: 1px solid #ccc;
}
.input-group-addon, .input-group-btn {
  width: 1%;
  white-space: nowrap;
  vertical-align: middle;
}
.input-group .form-control, .input-group-addon, .input-group-btn {
  display: table-cell;
}

.dynamic-box {
  display: flex;
  flex-wrap: wrap;
}
.dynamic-box>* {
  flex: 1 1 auto;
}




/*
 * Component: status box
 * --------------------
 */
.status-box {
  border-radius: 2px;
  position: relative;
  display: block;
  margin-bottom: 20px;
  box-shadow: 0 1px 1px rgba(0, 0, 0, 0.1);
}
.status-box > .inner {
  padding: 10px;
}
.status-box > .status-box-footer {
  position: relative;
  text-align: center;
  padding: 3px 0;
  color: #fff;
  color: rgba(255, 255, 255, 0.8);
  display: block;
  z-index: 10;
  background: rgba(0, 0, 0, 0.1);
  text-decoration: none;
}
.status-box > .status-box-footer:hover {
  color: #fff;
  background: rgba(0, 0, 0, 0.15);
}
.status-box h3 {
  font-size: 38px;
  font-weight: bold;
  margin: 0 0 10px 0;
  white-space: nowrap;
  padding: 0;
}
.status-box p {
  font-size: 15px;
}
.status-box p > small {
  display: block;
  color: #f9f9f9;
  font-size: 13px;
  margin-top: 5px;
}
.status-box h3,
.status-box p {
  z-index: 5;
}
.status-box .icon {
  -webkit-transition: all 0.3s linear;
  -o-transition: all 0.3s linear;
  transition: all 0.3s linear;
  position: absolute;
  top: -10px;
  right: 10px;
  z-index: 0;
  font-size: 90px;
  color: rgba(0, 0, 0, 0.15);
}
.status-box:hover {
  text-decoration: none;
  color: #f9f9f9;
}
.status-box:hover .icon {
  font-size: 95px;
}
@media (max-width: 767px) {
  .status-box {
    text-align: center;
  }
  .status-box .icon {
    display: none;
  }
  .status-box p {
    font-size: 12px;
  }
}

.system_info_db_grid {
  border-collapse: collapse;
}

.system_info_db_grid td {
  border: 1px black solid;
  padding: 0px;
  spacing: 0px;
  margin: 0px;
}

.system_info_db_grid th {
  border: 1px black solid;
  padding: 0px;
  spacing: 0px;
  margin: 0px;
}

.system_info_db_grid_text90Degree {
  border: 1px black solid;
  padding: 2px;
  spacing: 0px;
  margin: 0px;
  text-align: left;
  white-space: nowrap;
  vertical-align: top;
  width: 40px;
  height: 80px;
}

.system_info_db_grid_text90Degree div {
     -moz-transform: rotate(-90.0deg);  /* FF3.5+ */
       -o-transform: rotate(-90.0deg);  /* Opera 10.5 */
  -webkit-transform: rotate(-90.0deg);  /* Saf3.1+, Chrome */
             filter:  progid:DXImageTransform.Microsoft.BasicImage(rotation=0.083);  /* IE6,IE7 */
         -ms-filter: "progid:DXImageTransform.Microsoft.BasicImage(rotation=0.083)"; /* IE8 */
         margin-left: -10em;
         margin-right: -10em;
         margin-top: -6em;
}

.tab {
  overflow: hidden;
  border: 1px solid #ccc;
  background-color: #f1f1f1;
}

/* Style the buttons that are used to open the tab content */
.tab button {
  background-color: inherit;
  float: left;
  border: none;
  outline: none;
  cursor: pointer;
  padding: 14px 16px;
  transition: 0.3s;
}

/* Change background color of buttons on hover */
.tab button:hover {
  background-color: #ddd;
}

/* Create an active/current tablink class */
.tab button.active {
  background-color: #ccc;
}

/* Style the tab content */
.tabcontent {
  display: none;
  padding: 6px 12px;
  border: 1px solid #ccc;
  border-top: none;
}

.tabcontent {
  animation: fadeEffect 1s; /* Fading effect takes 1 second */
}

/* Go from zero to full opacity */
@keyframes fadeEffect {
  from {opacity: 0;}
  to {opacity: 1;}
}

/* PUSHPIN PAGE STYLES */

.small-scroll-grid-item{
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: 300px;
  overflow-y:scroll;
}

.large-scroll-grid-item{
  display: grid;
  grid-template-columns: auto;
  grid-template-rows: 450px;
  overflow-y:scroll;
}

.grid-item-border{
  border: 2px solid black;
}

.push-button{
  margin: 2px;
  z-index: -1;
}

.session{
  display: block;
  margin: 2px;
  z-index: -1;
}

.connection{
  display: block;
  margin: 2px;
  z-index: -1;
}

.grid-item-label{
  height: fit-content;
  width: fit-content;
  font-weight: bold;
}

.inner-grid-item{
  margin: 5px;
}

.file_upload_loader{
  border: 10px solid #5e5c5c;
  border-top: 10px solid #f39c12;
  border-radius: 50%;
  width: 30px;
  height: 30px;
  animation: spin 2s linear infinite;
  z-index: 3;
  position: absolute;
  left: 0;
  right: 0;
  top: 40%;
  margin-left: auto;
  margin-right: auto;
}

@keyframes spin {
  0% { transform: rotate(0deg); }
  100% { transform: rotate(360deg); }
}

#loader_overlay{
  display: none;
  background-color:rgba(0, 0, 0, 0.666);
  z-index: 2;
  height: inherit;
  width: inherit;
  position: absolute;
  height: 100%;
  width: 100%;
}

#main-grid-container{
  display: grid;
  /* grid-template-columns: 1fr 1fr;
  grid-template-rows: 1fr 1fr 1fr; */
  grid-template-columns: 1fr 1fr 1fr 1fr 1fr 1fr;
  grid-template-rows: 300px 450px;
  width: 99%;
  height: auto;
  margin: 0 auto;
  grid-gap: 10px;
}

#session_info{
  /* background-color: aqua; */
  grid-column-start:1;
  grid-column-end:3;
  grid-row-start: 1;
  grid-row-end: 2;
}

#current-channel{
  color: red;
}

#connection_info{
  grid-column-start:3;
  grid-column-end:5;
  grid-row-start: 1;
  grid-row-end:2;
  /* overflow-y: auto; */
}

#connection_actions{
  /* background-color: aquamarine; */
  grid-column-start:5;
  grid-column-end:7;
  grid-row-start: 1;
  grid-row-end: 2;
  /* overflow-y: auto; */
}

#device_feed{
  /* background-color: blue; */
  grid-column-start:1;
  grid-column-end:4;
  grid-row-start: 2;
  grid-row-end: 3;
}

#push_menu{
  /* background-color: burlywood; */
  /* display: inline; */
  padding: 5px;
  grid-column-start:4;
  grid-column-end:7;
  grid-row-start: 2;
  grid-row-end: 3;
}

.typeahead-list {
    float: left;
    list-style: none;
    margin-top: -3px;
    padding: 0;
    width: 190px;
    position: absolute;
}
.typeahead-list li {
    padding: 10px;
    background: #f0f0f0;
    border-bottom: #bbb9b9 1px solid;
}
.typeahead-list li:hover {
    background: #ece3d2;
    cursor: pointer;
}
.typeahead-search-box {
    padding: 10px;
    border: #a8d4b1 1px solid;
    border-radius: 4px;
}

.div-pool-parent {
  border: solid black 1px;
  width: 400px;
  min-height: 10px;
  margin: 2px;
  padding: 2px 2px;
  background-color: white;
  resize: both;
  float: left;
  clear: left;
  overflow: auto;
 }
.div-pool-child {
  white-space: nowrap;
  border-radius: 5px;
  display: inline-block;
  padding: 2px 10px 2px 10px;
  border: black 1px solid;
  color: black;
  background-color: lightgray;
}
.div-pool-child-remove {
  color: black;
  background-color: lightgray;
}
